%define		desktop_vendor	sysex

Name:		phasex
Version:	0.11.1
Release:	0%{?dist}
Summary:	PHASEX -- Phase Harmonic Advanced Synthesis EXperiment
Group:		Applications/Multimedia
License:	GPL
URL:		http://sysex.net/phasex/

Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	glibc-devel >= 2.3.0
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	jack-audio-connection-kit-devel >= 0.99.0
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	perl
BuildRequires:	desktop-file-utils
BuildRequires:	gcc >= 3.3.0
Requires:	glibc >= 2.3.0
Requires:	alsa-lib >= 0.9.0
Requires:	jack-audio-connection-kit >= 0.99.0
Requires:	gtk2 >= 2.4.0


%description
PHASEX is an experimental JACK audio / ALSA MIDI softsynth for Linux
with a synth engine built around flexible phase modulation and
flexible oscillator/LFO sourcing.  Modulations include AM, FM, offset
PM, and wave select.  PHASEX comes equipped with a 12db/octave filter
with two distortion curves, a stereo crossover delay and chorus with
phaser, ADSR envelopes for amplifier and filter, realtime audio input
processing capabilities, and more.


%prep
%setup -q


%build
echo _arch=%{_arch} _target_cpu=%{_target_cpu} _build_arch=%{_build_arch}
CFLAGS="$RPM_OPT_FLAGS" %configure --enable-arch=%{_target_cpu}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

for s in 16 22 32 48 ; do
    %{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
    %{__cp} %{buildroot}%{_datadir}/phasex/pixmaps/phasex-icon-${s}x${s}.png \
            %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/phasex-icon.png
done

BASE="X-Fedora Application AudioVideo Audio"
XTRA="X-MIDI X-Digital_Processing X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/phasex
%dir %{_datadir}/phasex
%dir %{_datadir}/phasex/help
%dir %{_datadir}/phasex/pixmaps
%dir %{_datadir}/phasex/sys-midimaps
%dir %{_datadir}/phasex/sys-patches
%{_datadir}/phasex/patchbank
%{_datadir}/phasex/help/*
%{_datadir}/phasex/pixmaps/*
%{_datadir}/phasex/sys-midimaps/*
%{_datadir}/phasex/sys-patches/*
%{_datadir}/phasex/phasex.desktop
%{_datadir}/applications/%{desktop_vendor}-phasex.desktop
%{_datadir}/icons/hicolor/*/apps/phasex-icon.png



%changelog
* Tue Aug  7 2007 William Weston <weston@sysex.net> - 0.11.0-0
- Updated for 0.11.0.

* Thu May 24 2007 William Weston <weston@sysex.net> - 0.10.3-0
- Updated for 0.10.3.

* Tue May 15 2007 William Weston <weston@sysex.net> - 0.10.2-0
- Updated for 0.10.2.

* Thu May  3 2007 William Weston <weston@sysex.net> - 0.10.1-0
- Added README and COPYING to doc install.
- Updated for 0.10.1.

* Tue May  1 2007 William Weston <weston@sysex.net> - 0.10.0-0
- Initial RPM spec file.
